EDIT - bug #10111

Data loss e.g. when entering type information
07/30/2022 12:30 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 30%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: critical Found in Version:

Description

Sometimes type information gets lost when entered without immediate saving in type designation element
WGB:

mir war schon einigemale aufgefallen, dass bei der Type Specimen Eingabe etwas schief Iauft, hatte aber keine Zeit, das zu
detaillieren. Folgender Ablauf:

(Caryophyllales_spp, Achyranthes margaretarum,

Ich gebe im Details-View das Specimen (neu) ein. Alles sieht gut aus, aber nach einem refresh des Taxons ist es dort nicht mehr zu
sehen:

« Nomenclatural Source: in Mew Zealand ). Bot. 39: 3. 2001

Reference de Lange & Murray, B. G. in New Zealand J. Bot. 39. 2001 =8 m]
Details 3

Original Spelling = m
b Protologue/Criginal Publication +

+ Nomenclatural Status 4

Mo nomenclatural status yet.

; + + 4
Specimen = olm
Designation Status V|
Mot Designated [ ]
Im Bulk Editor (tree) finde ich das Specimen,
L;'g', Achyranthes margaretarum de Lange in New Zealand J. Bot. 39: 3. 2001 B Specimen Editor jtree) I3 S
Taxon = | [ Texon assignment | All V|
Title Cache | *MF154* | Derivative Type | Unknown unit type ~ ESearc

% MNorfolk Island, Cultivated plant, Norfolk Island, Mission Road, Botanic Garden. Ex. cult. Phillip Island, 11 Mov 1998, P, de Lange NF134 & G. Crowcroft

aber bei Suche Uber den Namen dort taucht es auch nicht auf:

5 || &g Achyranthes margaretarum de Lange in New Zealand J. Bot. 38: 3, 2001 k2 Specimen Editor (tree) &3 = L i =
”

Taxon Achyranthes margaretarum de Lane| | = @ Yes

Title Cache | | Derivative Type | Unknown unit type ~ Search

Friher hatte ich dann das nochmal hinzugefiigt, das fUhrte dann aber spéater zu duplizierten Typus-Specimen.
Bitte sagt Bescheid, wenn |hr Euch das angesehen habt, damit ich die Sache fertig bearbeiten kann.
KL:
was meinst Du mit einem ,refresh“ des Taxons? Hast Du das Taxon gespeichert oder hast Du den Fokus gewechselt?

Ich habe das bisher nur mit meiner lokalen Instanz ausprobiert, aber da konnte ich es erstmal nicht reproduzieren. Ich probiere noch
ein bisschen weiter.

WGB:

ich meinte “refresh” des Detail views — also anderen Namen in den Fokus und zurlick.
Das lauft auch nicht immer so, war mir aber, wie gesagt, schon mehrmals aufgefallen.

WGB:

ist mir gerade (vor 5 min) wieder passiert:

Taxon: Cyathula #nomnov-a Di Vincenzo, M.Wondafrash, Berendsohn & Borsch

Synonym: Pandiaka heudelotii var. subglobosa Suess. in Bull. Jard. Bot. Etat 15: 66. 1938

Eine umfangreiche textuelle Typusangabe (zum Glick aus Texteditor eingesetzt), Source eingegeben, Save — (der NameEditor setzt
den Fokus dann manchmal [hier] auf den Taxonnamen — das ist auch irritierend). Fokus auf Namen — alles weg. Auch in den
Specimen Bulk Editoren nicht zu finden.

Kann es sein, dass das nur dann passiert, wenn man vor der Source-Eingabe nicht abspeichert? Ich habe ansonsten nur Type
Specimen eingegeben, recht viele, kein Problem — aber dort wohl immer vor Source Eingabe gespeichert.

PS: Ich gebe das jetzt gleich nochmal ein. Save vor source — alles ok.
WGB:

noch ein Fall — ich glaube, der bug hat auch mit der Statusangabe zu tun.

Taxon: Pandiaka ramulosa

Synonym: Pandiaka incana

Ich habe nur das Belegzitat als Sammler, Sammelnummer, sonst nichts, in einer Quelle gefunden (ich habe die Erstpublikation noch
nicht).

Eigentlich méchte ich also nur das eingeben.

Den Beleg habe ich abgespeichert, aber eine Source bekomme ich ohne die Statusangabe lberhaupt nicht zu sehen.

Ich habe dann Lectotype ausgewahlt, Source eingegeben und gespeichert.

Dann wollte ich den Status auf ,unknown* andern.

Ich bekam keine Speichermdglichkeit. Wechsel zu anderem Namen beim Taxon, erneuter Fokus auf das Synonym: Alles weg — No
type information yet.

Im Specimen Bulk Editor (tree) ist der Typus (Milne-Redhead 2738) aber da.

Ich wahle ihn im Details view aus und speichere.

Ohne Statusangabe komme ich nicht an die Source.

Auswahl ,unknown type category”, Fokuswechsel: Dito

Neuaufruf des Taxons: Dito

Status holotype; Save

Immer noch nichts — ich gebe es auf und lasse es bei ,unknown” ohne Quelle.

(Das sollte Cavaco 1962 sein).

A similar issue:
WGB: Buck beim Eingeben original spelling

das erinnert an das Problem mit den Typen(?)
Die Elngabe des orig. spelling Namens wird nach der Eingabe nicht im Name Editor aktualisiert und dann auch nicht abgespeichert.
WGB:

das ist gestern auch bei der Eingabe einer Nomenklaturreferenz passiert — im Details-View eingegeben (ausgewahlt), kam aber

persistent nicht im Name Editor an und wurde nicht gespeichert.

Related issues:

Related to EDIT - bug #10080: Source Element sometimes does not appear after ...
Related to EDIT - bug #8222: Deleting a type designation from a name is direc...
Related to EDIT - bug #10053: Problems with saving of secundum references
Related to EDIT - bug #10054: Changes on secundum reference are lost after ch...
Related to EDIT - bug #10138: Details view is not updated after freetext change
Related to EDIT - bug #10186: Problems with session handling in taxeditor

In Progress
Closed
Closed
Closed
Closed
Closed

History

#1 - 07/30/2022 12:31 AM - Andreas Miiller

That the "Source" element is not shown (last mail from WGB) is a known issue handled at #10080

#2 - 07/30/2022 12:31 AM - Andreas Miiller

- Related to bug #10080: Source Element sometimes does not appear after selecting a new designation status and after creating a new type
designation added

#3 - 07/30/2022 08:55 AM - Andreas Miiller
- File clipboard-202207300855-wzla4.png added

- Description updated

#4 - 07/30/2022 11:25 AM - Andreas Miiller
- Related to bug #8222: Deleting a type designation from a name is directly persisted added

#5 - 07/30/2022 02:08 PM - Andreas Miiller

AM:

Hallo Walter,

ich habe mir das jetzt mal angesehen, konnte es erst nicht, dann ein paar Mal quasi direkt hintereinander, und dann, als ich das Debuggen
vorbereiten wollte, wieder Gberhaupt nicht mehr reproduzieren, obwohl ich es zum Schluss sicher 50x mit allen Konstellationen versucht habe und

genau die gleiche Arbeitsumgebung hatte. Daher miissen wir uns weiterhin langsam der Sache nahern.

Erstmal vorab ein paar Hinweise

1) Leider wird derzeit die Sources Section nicht immer angezeigt aus bislang unbekanntem Grund (https://dev.e-taxonomy.eu/redmine/issues/10080
). Hierfur gibt es aber einen Workaround, namlich die Breite des Details-View leicht zu verandern, dann wird die Source wieder angezeigt. Ein Teil
deiner Beobachtungen scheint sich auf diesen Fehler zu beziehen. Das ist aber ein reines Anzeige-Problem und sollte nichts damit zu tun haben,
dass die Daten nicht richtige Gbernommen/gespeichert werden. Bitte bei allen weiteren Beobachtungen ausschlieBen, dass es sich um diesen Fehler
handelt.

2) ,Eine umfangreiche textuelle Typusangabe (zum Gliick aus Texteditor eingesetzt), Source eingegeben, Save — (der NameEditor setzt den Fokus
dann manchmal [hier] auf den Taxonnamen — das ist auch irritierend). Fokus auf Namen — alles weg. Auch in den Specimen Bulk Editoren nicht zu
finden.”

Das du sie im Bulkeditor nicht finden kannst ist logisch, es handelt sich ja nicht um ein Specimen sondern um eine textuelle Angabe.

3) Leider aktualisiert der Fokus den Detailsview ja nicht immer korrekt. Also er zeigt dann noch die Werte, der vorherigen Records an. Bitte auch
immer ausschlieBen, dass es sich um so ein Problem gehandelt haben kénnte (bei den Malen, wo ich es reproduzieren konnte, schien mir das aber
nicht das eigentliche Problem zu sein, also z.B. dass man evtl. beim falschen Record etwas hingeflgt héatte).

Jetzt zum Eigentlichen. Die allererste Frage, die wir kldren mussen ist, ob das Problem nur nach Speichern von Daten auftritt oder unabhangig
davon. Also konkret, bei deiner erste Beschreibung des Bugs sprachst du nicht von Speichern, sondern nur von Refresh. Wenn das so stimmt, ist das
Problem eindeutig auf TaxEditor Seite. Die TypeDesignation wird gar nicht erst erzeugt, oder zumindest nicht an den Namen angehangt und ist somit
auch nicht am Datengraph. Das ist auch, was ich beobachten konnte als ich das Problem reproduzieren konnte. Leider weif3 ich aber nicht mehr
100%ig was ich da vorher alles gemacht habe.

Also wenn es auftritt bitte schauen, ob es bereits vor jedem Save einfach nur durch Fokuswechsel auftritt.

Weitere Frage: es tritt sowohl bei textuellen TypeDesignations auf, nicht nur bei Specimen, oder? Zumindest lingt der ,Cyathula #nomnov-a Di
Vincenzo® Fall so.

Und: Falls das Problem doch nur nach ,save“ auftaucht, gibt es einen Zusammenhang dazu, ob nach dem Save der Fokus félschlich zu akzeptierten
springt? Ich hatte den Fall gerade, als ich das Problem doch noch ein einziges Mal reproduzieren konnte.

Und: Tritt das Problem wirklich nurim Zusammenhang mit Quellen auf. Ich habe das Gefiihl, dass es bei mir auch kam, als ich keine Quellen
eingegeben habe. 100%ig weif3 ich das aber nicht mehr.

Zeit mitprotokollieren: und als letztes fur diesen Schritt ware es wichtig, die exakte Zeit zu protokollieren, wann das auftritt, damit wir es mit den
Server-Logs vergleichen kénnen. Ich habe zwar eher nicht das Gefihl, dass das Problem serverseitig ist, aber das kann auch nur vordergriindig so
scheinen. Daher ware es wichtig, die genaue Uhrzeit zu kennen.

Achso und: tritt das Problem ,im Rudel auf? Also tritt es, wenn es auftritt stindig auf und dann wieder eine Zeit lang gar nicht? Das wirde auf ein
temporéres Problem hinweisen, z.B. einen langsamen Server oder einen Uibergelaufenen Cache oder so.

#6 - 07/30/2022 02:08 PM - Andreas Miuller

- Status changed from New to In Progress

#7 - 07/30/2022 02:08 PM - Andreas Miuller

- Target version changed from Release 5.32 to Release 5.33

#8 - 07/30/2022 05:37 PM - Andreas Miller

- Related to bug #10053: Problems with saving of secundum references added

#9 - 07/30/2022 05:37 PM - Andreas Miller

- Related to bug #10054: Changes on secundum reference are lost after changing status to basionym added
#10 - 08/02/2022 11:29 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#11 - 08/10/2022 01:29 PM - Katja Luther

Sometimes the dirty flag is not set when changing the status and | think that | had a case where the specimen was removed after changing the status.

Add a source before saving is not always the reason for missing saving, | also added a source before saving and everything was saved correctly.

#12 - 09/03/2022 11:14 AM - Andreas Miiller

- Subject changed from Data loss when entering typus information to Data loss e.g. when entering typus information

#13 - 09/03/2022 11:17 AM - Andreas Miiller
- File clipboard-202209031116-oupf2.png added
- File clipboard-202209031116-0wbhy.png added

- Description updated

#14 - 09/05/2022 03:18 PM - Andreas Miiller

- Description updated

#15 - 09/07/2022 11:26 PM - Andreas Miiller
- Related to bug #10138: Details view is not updated after freetext change added

#16 - 10/11/2022 08:58 AM - Andreas Miuiller

- Target version changed from Release 5.33 to Release 5.35

#17 - 11/17/2022 02:35 PM - Katja Luther
- Related to bug #10186: Problems with session handling in taxeditor added

#18 - 12/16/2022 02:33 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

| will try to reproduce

#19 - 01/03/2023 11:52 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Walter Berendsohn
- Priority changed from Highest to Priority13

- % Done changed from 0 to 70

After short testing | could not reproduce this issue anymore. Maybe it was fixed with #10186. However, this is not guaranteed as the problem occurs
only from time to time.

@Walter and @Nadja: when entering type specimen data can you carefully check in the near future if the problem occurs again? If it does not occur
within the next 3 month we will close this ticket (and reopen if it occurs later).

#20 - 01/04/2023 12:08 PM - Andreas Miiller

- Subject changed from Data loss e.g. when entering typus information to Data loss e.g. when entering type information

#21 - 01/04/2023 12:09 PM - Andreas Miiller
- Description updated

#22 - 01/06/2023 09:40 PM - Andreas Miiller

- Assignee changed from Walter Berendsohn to Andreas Miiller
- Priority changed from Priority13 to Priority10

- % Done changed from 70 to 90
AM:

auch das Ticket #10111 sollte jetzt final gereviewed werden nach dem das Release jetzt drauBen ist.

In diesem Ticket geht es v.a. darum, dass Specimen- und andere Daten, die an Typusbelege gehéngt wurden, nicht richtig gespeichert wurden.
Wir hoffen, dass das Problem jetzt behoben ist. Da es aber nicht einfach zu reproduzieren war und nur manchmal auftrat, brduchten wir euer
Feedback, sobald es doch wieder auftritt (wie immer méglichst mit genauer Beschreibung).

Wenn wir bis 4/23 nichts von euch héren, schlieBen wir das Ticket erstmal.

#23 - 01/09/2023 11:20 AM - Andreas Miiller
NaK:

das ist mir auch ein paar Mal passiert, aber so sporadisch, dass ich dachte, ich hétte nicht gespeichert. Ich melde mich, falls das nochmal vorkommt.

#24 - 07/11/2023 05:40 PM - Andreas Miiller

- Status changed from Resolved to In Progress

- Priority changed from Priority10 to Highest

- Target version changed from Release 5.35 to Release 5.44

- % Done changed from 90 to 30

WGB 2023-06-20:

ich habe eine solche Eingabe noch einmal an anderer Stelle gemacht, und war erfolgreich.
Es ist wahrscheinlich, dass ich nach der Léschung oder an anderer Stelle der Eingabe nicht gespeichert hatte, sondern nur am Ende.
Ist die einzige Moglichkeit, mir das zu erklaren, bei der neuen Eingabe habe ich nach jeder Eingabe gespeichert.

bin in Caryophyllales_spp.

Habe gerade zwei Typusangaben geléscht und dann neue (korrigierte) Angaben eingeben, beides Lektotypen, fir Achyranthes aspera var. sicula L.
und fUr Achyranthes argentea Lam.

Beide Eingaben sind jetzt verschwunden — bin sicher, dass ich gespeichert hatte.

Ich versuche jetzt mal den Neuaufruf des Taxons, wenn das nicht hilft, des Taxon Editors ...

Beides hilft nichts.

Auch das Updated Datum wurde nicht geéndert (letztes mal 2022).

Die betreffenden neu eingegebenen Specimens wurden aber gespeichert. (SEVH4073 und Herb. Linn. No. 287.1.)

Ebenso die nur als Lektotypisierungsreferenz eingegebene Referenz lamonico 2014 in Taxon 63(3).

Das geht in die Richtung der Vorkommnisse in Kuba, nur waren es dort m.E.n. keine Typen.

WGB 2023-06-20 (cont.):

ich habe eine solche Eingabe noch einmal an anderer Stelle gemacht, und war erfolgreich.
Es ist wahrscheinlich, dass ich nach der Léschung oder an anderer Stelle der Eingabe nicht gespeichert hatte, sondern nur am Ende.
Ist die einzige Mdglichkeit, mir das zu erklaren, bei der neuen Eingabe habe ich nach jeder Eingabe gespeichert.

#25 - 07/11/2023 05:41 PM - Andreas Miiller

This still seems to be open or there is a similar issue as reported by WGB. Therefore | moved it back to an open milestone.

#26 - 07/31/2023 03:37 PM - Andreas Miiller

WGB 2023-07-17:

mir ist das gerade wieder passiert, glaube ich. Caryophyllales_spp: Ich habe die Typus-Information fir Achyranthes borbonica eingegeben. Dann
beim Speichern sprang der Fokus auf die akzeptierte Art und der Link zum Typus beim Synonym war weg. Ich hatte ihn vor dem Speichern noch als
Loriginal material“ bezeichnet.

Der Typus ist aber abgespeichert worden, zu finden als B -W 05005 -01 0 — mehr Angaben sind da leider nicht. Wenn ich ihn dann nochmal im
Details View auswahle, scheint das gespeichert zu werden.

#27 - 07/31/2023 03:51 PM - Andreas Miiller

- Severity changed from normal to critical

#28 - 01/22/2024 04:27 PM - Andreas Miiller
- File clipboard-202401221627-b9pgm.png added

wGB:

Caryophyllales Datenbank, Alternanthera scirpoides Hook.f., Gen. PI. 3: 39. 1880
Es gab einen textuellen Typuseintrag, den habe ich geléscht. Dann Eingabe des Lectotypus mit Designation Reference (Turner 2016) als Specimen.

04/10/2024 6/8


https://dev.e-taxonomy.eu/redmine/issues/10111

Speichern.

Nach ein paar weiteren Eingaben will ich die vergessene Seitenzahl (288) nachtragen. Der Typus wird beim Synonym im Details-View nicht mehr
angezeigt.

Der Typus ist aber korrekt abgespeichert worden:

% wle BOIVIZ, UEPT. 33NT3 LIUZ, [IVIZNUE VIANA] “3nalero Frov.,, ME T ADra ae UUINE, SNrUmand, Upper ImIT oT anda w
~ & Ecuador, Galapagoes, Chatham lsland, Captain Wood s.n
'.':... K K000583050

Das kommt mir irgendwie bekannt vor — Cuba Workshop vor einem Jahr?
Ist gerade bei der schon recht miihseligen Typuseingabe ein echtes Problem, weil man es ja nicht ohne weiteres sieht.
Ich habe das jetzt erstmal nicht nochmal versucht, um das Nachvollziehen nicht zu stéren.

AM:

... Dass die Specimens trotzdem gespeichert werden hat vermutlich damit zu tun, dass diese Uber einen Dialog hinzugefiigt werden. Daten aus einem
Dialog werden immer sofort gespeichert, also nicht erst, wenn das Taxon gespeichert wird. Korrekt, Katja?

Als nachstes miissen wir herausfinden, ob der Fehler im Ul passiert, also ob die Daten nicht dem Datengraph hinzugefiigt werden, ob das Cachen
des Datengraphs nicht funktioniert oder ob das Problem serverseitig ist, also das mergen des Datengraphen in die Datenbank nicht funktioniert.
Grundsatzlich schwierig, da es nicht leicht reproduzierbar ist.

#29 - 01/22/2024 05:58 PM - Andreas Miiller

Orphaned Specimen:

SELECT sob.DTYPE, sob.id, sob.titleCache, sob.accessionnumber, sob.protectedtitlecache, sob.barcode, sob.
created, sob. uuid’, ua.username createdBy, sob.updated

FROM SpecimenOrObservationBase sob LEFT JOIN TypeDesignationBase tdb ON tdb.typeSpecimen_id = sob.id
LEFT JOIN DescriptionElementBase deb ON deb.associatedspecimenorobservation_id = sob.id

LEFT JOIN UserAccount ua ON sob.createdby_id = ua.id

WHERE sob.DTYPE <> 'FieldUnit' AND sob.DTYPE <> 'DnaSample'

AND tdb.id IS NULL AND deb.id IS NULL

ORDER BY sob.created

"Aber: das sind bei weitem nicht alles Falle, bei denen das Speichern schief ging. Ich habe mal die ersten 3 untersucht (und bereinigt, also nicht mehr
in der Liste). Da gab es jeweils Duplikate aus welchem Grund auch immer. Also entweder, weil das Speichern wirklich nicht funktioniert hat und nicht
erkannt wurde, dass das Specimen schon existiert und neu angelegt wurde oder weil das oft nur mit titteCache angelegte Specimen durch ein
atomisiertes ersetzt wurde (statt es zu Uberschreiben) oder aus einem anderen Grund.

Interessant ist auch die created und created by Spalte anzuschauen. Da sind auch diverse Specimen die z.B. durch den Sileneae Import am 3.2.2023
reinkamen. Ich habe mal einen untersucht (id = 7385). Das Specimen wurde angelegt am: 2023-02-03 20:26:22. Dabei wurde eine TypeDesignation
angelegt, die aber am 2023-09-22 10:55:42 geldscht wurde. Ich nehme an, dass Nadja dort die Daten tberarbeitet hat.

Der Name war Silene echinus Boiss. & Heldr., wurde im gleichen Commit geléscht. Also alles korrekt hier, aber es bleibt das orphaned Specimen.
Wir kénnten und sollten natirlich versuchen, solche orphaned Specimens beim Léschen des Namens auch zu I6schen. Allerdings nicht ganz untrivial
wegen der vielen Linkmdglichkeiten und weil Userfeedback notwendig, ob das Specimen wirklich weg soll (kénnte ja auch sein, dass es in der DB
bleiben soll).

SQL used to check for single orphaned specimen

SELECT *
FROM SpecimenOrObservationBase_AUD sob
WHERE sob.id = 7385;

SELECT a.*, tdb.*
FROM TypeDesignationBase_AUD tdb INNER JOIN AuditEvent a ON a.revisionnumber = tdb.REV
WHERE tdb.typeSpecimen_id = 7385 OR tdb.id = 8178 ;

SELECT *
FROM TaxonName_TypeDesignationBase_AUD MN
WHERE MN.typedesignations_id = 8178;

SELECT *
FROM TaxonName_AUD tn
WHERE tn.id = 88225

Files

clipboard-202207300027-4klt8.png 20.1 KB 07/29/2022 Andreas Miller
clipboard-202207300027-mmall.png 23.6 KB 07/29/2022 Andreas Miller
clipboard-202207300855-wzla4.png 18.5 KB 07/30/2022 Andreas Miller
clipboard-202209031116-oupf2.png 112 KB 09/03/2022 Andreas Miller
clipboard-202209031116-0wbhy.png 108 KB 09/03/2022 Andreas Muller
